import sys

class RciLog():

    MsgType = {
               'ERROR'          : 0x00,
               'WARNING'        : 0x01,
               'NOTIFICATION'   : 0x02,
               'DEBUG'          : 0x03
        }

    def __init__(self,node):
        self.node = node
        
    def write(self,msg, msgLevel):
        if msgLevel == '':
            sys.stdout.write("ERROR ON RCILOG: Must Give a Msg Level Type ( ERROR, WARNING,NOTIFICATION)  on : " + self.node + ": " + msg + "\n")
            raise Exception
        if self.MsgType.has_key(msgLevel) == False:
            sys.stdout.write("ERROR ON RCILOG: Unsupported Msg Type Level \"" + msgLevel + "\" on " + self.node + "\n")
            raise Exception
        if msgLevel == 'ERROR':
            sys.stderr.write("ERROR: " + self.node + ": " + msg + "\n")
        if msgLevel == 'DEBUG':
            sys.stderr.write("DEBUG: " + self.node + ": " + msg + "\n")
        elif msgLevel == 'WARNING':
            sys.stdout.write("WARNING: " + self.node + ": " + msg + "\n")
        elif msgLevel == 'NOTIFICATION':
            sys.stdout.write("NOTIFICATION: " + self.node + ": " + msg + "\n")

